# Interface JmolNMRInterface

All Known Implementing Classes:
  `NMRCalculation`

public interface JmolNMRInterface

## Method Summary

Modifier and Type
Method
Description
`float`
`getChemicalShift(Atom atom)`
If shift reference has not been set, it defaults to 0 and just displays the negative of magnetic shielding
`float`
`getDipolarConstantHz(Atom a1, Atom a2)`
`float`
`getDipolarCouplingHz(Atom a1, Atom a2, V3 vField)`
`Object`
`getInfo(String sym)`
`float`
`getIsoOrAnisoHz(boolean isIso, Atom a1, Atom a2, String type, Tensor t)`
If t is null, then a1, a2, and type are used to find the appropriate tensor.
`float`
`getMagneticShielding(Atom atom)`
`Map<String,Integer>`
`getMinDistances(MeasurementData md)`
`double[]`
`getNOEorJHH(Atom[] atoms, int mode)`
`float`
`getQuadrupolarConstant(Tensor efg)`
Quadrupolar constant, directly proportional to Vzz and dependent on the quadrupolar moment of the isotope considered
`boolean`
`getState(SB sb)`
`Lst<Object>`
`getTensorInfo(String tensorType, String infoType, BS bs)`
`BS`
`getUniqueTensorSet(BS bs)`
An attempt to find unique atoms using tensors.
`boolean`
`setChemicalShiftReference(String element, float value)`
`JmolNMRInterface`
`setViewer(Viewer vwr)`

## Method Details

### setViewer

JmolNMRInterface setViewer(Viewer vwr)

### getQuadrupolarConstant

float getQuadrupolarConstant(Tensor efg)
Quadrupolar constant, directly proportional to Vzz and dependent on the quadrupolar moment of the isotope considered

Parameters:
  `efg` -
Returns:
  float value

### getIsoOrAnisoHz

float getIsoOrAnisoHz(boolean isIso, Atom a1, Atom a2, String type, Tensor t)
If t is null, then a1, a2, and type are used to find the appropriate tensor.

Parameters:
  `isIso` -
  `a1` -
  `a2` -
  `type` -
  `t` -
Returns:
  0 if not found

### getDipolarConstantHz

float getDipolarConstantHz(Atom a1, Atom a2)

Parameters:
  `a1` -
  `a2` -
Returns:
  desired constant

### getDipolarCouplingHz

float getDipolarCouplingHz(Atom a1, Atom a2, V3 vField)

Parameters:
  `a1` -
  `a2` -
  `vField` -
Returns:
  projected value

### getUniqueTensorSet

BS getUniqueTensorSet(BS bs)
An attempt to find unique atoms using tensors.

Parameters:
  `bs` -
Returns:
  bitset of atoms

### getInfo

Object getInfo(String sym)

Parameters:
  `sym` - "C" or "14C" or "all"
Returns:
  list of double[isotopeNumber,g,Q] if no isotope number is given, or a single double[] if it does.

### getMagneticShielding

float getMagneticShielding(Atom atom)

### getChemicalShift

float getChemicalShift(Atom atom)
If shift reference has not been set, it defaults to 0 and just displays the negative of magnetic shielding

Parameters:
  `atom` -
Returns:
  value

### setChemicalShiftReference

boolean setChemicalShiftReference(String element, float value)

### getTensorInfo

Lst<Object> getTensorInfo(String tensorType, String infoType, BS bs)

### getMinDistances

Map<String,Integer> getMinDistances(MeasurementData md)

### getState

boolean getState(SB sb)

### getNOEorJHH

double[] getNOEorJHH(Atom[] atoms, int mode)